% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gis.R
\name{fastMask}
\alias{fastMask}
\title{Faster operations on rasters (DEPRECATED because \code{terra::mask} is fast)}
\usage{
fastMask(
  x,
  y,
  cores = NULL,
  useGDAL = FALSE,
  verbose = getOption("reproducible.verbose", 1),
  ...,
  skipDeprecastedMsg = FALSE
)
}
\arguments{
\item{x}{A \verb{Raster*} object.}

\item{y}{A \code{SpatialPolygons} object. If it is not in the same projection
as \code{x}, it will be reprojected on the fly to that of \code{x}}

\item{cores}{An \verb{integer*} or \code{'AUTO'}. This will be used if gdalwarp is
triggered. \code{'AUTO'} will calculate 90\% of the total
number of cores in the system, while an integer or rounded
float will be passed as the exact number of cores to be used.}

\item{useGDAL}{Deprecated. Logical or \code{"force"}. This is defunct; internals now can use
\code{terra} if \code{options("reproducible.useTerra" = TRUE)}, which is not (yet)
the default.}

\item{verbose}{Numeric, -1 silent (where possible), 0 being very quiet,
1 showing more messaging, 2 being more messaging, etc.
Default is 1. Above 3 will output much more information about the internals of
Caching, which may help diagnose Caching challenges. Can set globally with an
option, e.g., \verb{options('reproducible.verbose' = 0) to reduce to minimal}}

\item{...}{Currently unused.}

\item{skipDeprecastedMsg}{Logical. If \code{TRUE}, then the message about this function
being deprecated will be suppressed.}
}
\value{
A \verb{Raster*} object, masked (i.e., smaller extent and/or
several pixels converted to NA)
}
\description{
Deprecated. Use \code{\link[=maskTo]{maskTo()}}.
}
\author{
Eliot McIntire
}
